package com.juanjo.uoc.workoutshare;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class NewBodyDataActivity extends CommonActivity {
    View focusView;
    TextView heightTv, weightTv, fatTv, muscleTv;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //we change the include_layout to include the current activity xml
        changeLayoutActivity(R.layout.activity_new_body_data);
        setFonts();

        focusView = null;

        heightTv = (TextView) findViewById(R.id.bd_height);
        weightTv = (TextView) findViewById(R.id.bd_weight);
        fatTv = (TextView) findViewById(R.id.bd_fat);
        muscleTv = (TextView) findViewById(R.id.bd_muscle);
        //button listener
        Button createBtn = (Button) findViewById(R.id.btn_newbdata);
        createBtn.setOnClickListener(new View.OnClickListener(){
            @Override
            public void onClick(View v) {
                //CREATE Body DAta
                // Check textview fields
                boolean cancel = false;
                String height = heightTv.getText().toString();
                String weight = weightTv.getText().toString();
                String fat = fatTv.getText().toString();
                String muscle = muscleTv.getText().toString();

                if (TextUtils.isEmpty(height)) {
                    heightTv.setError(getString(R.string.error_field_required));
                    focusView = heightTv;
                    cancel = true;
                }else if(TextUtils.isEmpty(weight)){
                    weightTv.setError(getString(R.string.error_field_required));
                    focusView = weightTv;
                    cancel = true;
                }else if(TextUtils.isEmpty(fat)){
                    fatTv.setError(getString(R.string.error_field_required));
                    focusView = fatTv;
                    cancel = true;
                }else if(TextUtils.isEmpty(muscle)){
                    muscleTv.setError(getString(R.string.error_field_required));
                    focusView = muscleTv;
                    cancel = true;
                }
                //change focus
                if(cancel){
                    focusView.requestFocus();
                }else{
                    //we create the workout and exit
                    create_bodyData(Float.valueOf(height), Float.valueOf(weight),
                            Float.valueOf(fat), Float.valueOf(muscle));
                    startActivity(new Intent(NewBodyDataActivity.this, BodyDataActivity.class));
                    finish();
                }
            }
        });
    }
    private void create_bodyData(float height, float weight, float fat, float muscle){
       BodyData bodyData = new BodyData(getLoggedUser(),height, weight, fat, muscle);
        super.create_bodyData(bodyData);
    }
}
