package com.juanjo.uoc.workoutshare;


import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;


public class NewWOActivity extends CommonActivity {

    TextView woTv;
    EditText wo_descr;
    View focusView;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        //we change the include_layout to include the current activity xml
        changeLayoutActivity(R.layout.activity_new_wo);
        setFonts();
        woTv = (TextView) findViewById(R.id.wo_name);
        wo_descr = (EditText) findViewById(R.id.wo_descr);
        focusView = null;
        //button listener
        Button createBtn = (Button) findViewById(R.id.createBtn);
        createBtn.setOnClickListener(new View.OnClickListener(){
            public void onClick(View v){
                //CREATE WORKOUT
                // Check workout fields
                boolean cancel = false;
                String woName = woTv.getText().toString();
                String woDescr = wo_descr.getText().toString();
                Log.d("woname", ""+woName);
                if (TextUtils.isEmpty(woName)) {
                    woTv.setError(getString(R.string.error_field_required));
                    focusView = woTv;
                    cancel = true;
                }else if(woName.length() < 3){
                    woTv.setError(getString(R.string.error_shortname));
                    focusView = woTv;
                    cancel = true;
                }else if(TextUtils.isEmpty(woDescr)){
                    wo_descr.setError(getString(R.string.error_field_required));
                    focusView = wo_descr;
                    cancel = true;
                }
                //change focus
                if(cancel){
                    focusView.requestFocus();

                }else{
                    //we create the workout and exit
                    create_wo();
                    startActivity(new Intent(NewWOActivity.this, LookAllWOActivity.class));
                    finish();
                }
            }
        });

    }
    private void create_wo(){
        Log.d("DESCR", "DESCR= "+wo_descr.getText().toString());
        WorkOut wo = new WorkOut(woTv.getText().toString(), getLoggedUser(), wo_descr.getText().toString(),null);
        super.create_wo(wo);
    }

}
