package com.juanjo.uoc.workoutshare;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.support.v7.widget.RecyclerView;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.google.firebase.database.ValueEventListener;

import java.util.List;

/**
 * Created by Juanjo on 16/05/2017.
 */

public class WoAdapter extends RecyclerView.Adapter<WoAdapter.MyViewHolder> {
    private List<WorkOut> woList;
    private Context context;
    public class MyViewHolder extends RecyclerView.ViewHolder {
        public TextView name;
        public TextView user;
        public TextView score;
        public TextView descr;
        public LinearLayout ll;

        public MyViewHolder(View view) {
            super(view);
            name = (TextView) view.findViewById(R.id.wo_name);
            user = (TextView) view.findViewById(R.id.wo_user);
            score = (TextView) view.findViewById(R.id.wo_score);
            descr = (TextView) view.findViewById(R.id.wo_descr);
            ll = (LinearLayout) view.findViewById(R.id.recycle_layout);
        }
    }
    public WoAdapter(List<WorkOut> wolist, Context context) {
        this.woList = wolist;
        this.context = context;
    }
    @Override
    public MyViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View itemView = LayoutInflater.from(parent.getContext())
                .inflate(R.layout.wo_item, parent, false);

        return new MyViewHolder(itemView);
    }

    @Override
    public void onBindViewHolder(final MyViewHolder holder, int position) {
        WorkOut wo = woList.get(position);
        holder.name.setText(wo.name);
        holder.user.setText(wo.user);
        holder.score.setText("Score: "+String.format(java.util.Locale.US,"%.2f",wo.score));
        if(holder.descr!=null)
            holder.descr.setText(wo.description);
        holder.ll.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
                int adapterPos = holder.getAdapterPosition();
                if(adapterPos != RecyclerView.NO_POSITION) {
                    ((CommonActivity) context).recycle_click(getItem(adapterPos));
                }
            }
        });
    }

    @Override
    public int getItemCount() {
        return woList.size();
    }

    public WorkOut getItem(int position) {
        return woList.get(position);
    }
}
